Spark()

NAME
SPARK - Eeprom FW burning tool for Mellanox IS/IS3 switches.

SYNOPSYS
spark [switches...] <command> [parameters...]

OPTIONS
    -d[evice] <device> - The device the eeprom is connected to.
                        Commands affected: all
    -i[mage] <image> - Image file in ".img" format.
                        Commands affected: burn, verify
    -guid <GUID> - Use the given guid as the node guid of the burnt image.
                        By default, the guid is taken from the image on the eeprom
                        Commands affected: burn
    -sysguid <GUID> - Use the given guid as the system image guid of the burnt image.
                        By default, this value is taken from the current image on the eeprom
                        Commands affected: burn
    -bsn <BSN> - Mellanox Board Serial Number (BSN).
                        Valid BSN format is:
                        MTxxxxx[-]R[xx]ddmmyy-nnn[-cc]
                        By default, this value is taken from the current image on the eeprom
                        Commands affected: burn
    -ndesc <Descr> - Use the given string (max 64 characters) as the node description.
                        By default, this value is taken from the current image on the eeprom
                        Commands affected: burn
    -is3_i2c <i2c_addr> - Provides the I2C address of the switch device. If this flag is not specified,
                        then the the default address for Mellanox switch devices is: 0x6c.
    -pe_i2c <i2c_addr> - Provides the I2C address of the primary EEPROM. By default, this address is read
                        from the Mellanox switch device. Use this flag only if the switch device is not
                        accessible.
    -se_i2c <i2c_addr> - Provides the I2C address of the secondary EEPROM. By default, this address is read
                        from the Mellanox switch device. Use this flag only if the switch device is not
                        accessible.
    -h[elp] - Prints this message and exits
    -hh - Prints extended command help
    -nofs - Burn image not in a failsafe manner.
    -y[es] - Non interactive mode - assume answer
                        "yes" to all questions.
                        Commands affected: all
    -v - Version info. Commands summary (use -hh flag for full commands description):
    b[urn] - Burn flash
    q[uery] - Query misc. eeprom/FW characteristics
    v[erify] - Verify entire eeprom
    bb - Burn Block - Burns the given image as is. No checks are done.
    ri - Read the fw image on the flash. Command descriptions: * Burn eeprom
  Burns entire flash from raw binary image.
    Command:
        b[urn]
    Parameters:
        None
    Examples:
        spark -d /dev/mst/mtusb-1 -i image1.img burn
        spark -d /dev/mst/mtusb-1 -guid 0x2c9000100d050 -i image1.img b * Burn Block
  Burns the entire eeprom from raw image as is. No checks are done on the eeprom or
  on the given image file. No fields (such as BSN or Guids) are read from eeprom.
  This command can bu used to burn Infiniscale devices.
    Command:
        bb
    Parameters:
        None
    Examples:
        spark -d /dev/mst/mtusb-1 -i image1.img bb * Query miscellaneous FW and eeprom parameters
    Command:
        q[uery]
    Parameters:
        None
    Example:
        spark -d /dev/mst/mtusb-1 query * Verify entire flash.
    Command:
        v[erify]
    Parameters:
        None
    Example:
        spark -d /dev/mst/mtusb-1 v * Read the FW image from eeprom and write it to a file.
    Command:
        ri
    Parameters:
        file - filename to write the image to (in .img format).
    Example:
        spark -d /dev/mst/mtusb-1 ri file.img